
var kg_getItem = Storage.prototype.getItem;
var kg_setItem = Storage.prototype.setItem;
var kg_removeItem = Storage.prototype.removeItem;
var kg_localStorage = window.localStorage;

Storage.prototype.setItem = function(key, value) {
  gameStorage.setItem(key, value);
};

Storage.prototype.getItem = function(key) {
  if (this === window.localStorage) {
    var originValue = kg_getItem.call(kg_localStorage, key);
    if (originValue != null) {
        return kg_setItem.call(kg_localStorage, key, null);
    }
    return gameStorage.getItem(key, originValue);
  } else {
    return kg_getItem.call(kg_localStorage, key)
  }
};

Storage.prototype.removeItem = function(key) {
  if (this === window.localStorage) {
    kg_removeItem.call(kg_localStorage, key);
    gameStorage.removeItem(key, originValue);
  } else {
    kg_removeItem.call(kg_localStorage, key)
  }
};