attribute vec4 vPosition;
uniform mat4 vMatrix;

attribute vec2 vCoord;
varying vec2 textureCoordinate;

attribute vec2 vBitmapCoord;
varying vec2 bitmapTextureCoordinate;

uniform mat4 vBitmapCoordMatrix;

void main(){
    gl_Position = vMatrix*vPosition;
    textureCoordinate = vCoord;
    bitmapTextureCoordinate = (vBitmapCoordMatrix*vec4(vBitmapCoord,0,1)).xy;
}