precision highp float;
varying vec2 textureCoordinate;
uniform sampler2D vTexture;

uniform lowp float brightness;

void main() {
    lowp vec4 textureColor = texture2D(vTexture, textureCoordinate);
    gl_FragColor = vec4((textureColor.rgb + vec3(brightness)), textureColor.w);
}