#extension GL_OES_EGL_image_external : require
precision highp float;
varying vec2 textureCoordinate;
uniform sampler2D vTexture;
uniform lowp mat4 colorMatrix;
uniform lowp float intensity;
void main() {
     lowp vec4 textureColor = texture2D( vTexture, textureCoordinate );
     lowp vec4 outputColor = textureColor * colorMatrix;
     gl_FragColor = (intensity * outputColor) + ((1.0 - intensity) * textureColor);
     //gl_FragColor = vec4(0,0.5,0.5,0.5);
}