precision highp float;
varying vec2 textureCoordinate;
varying vec2 bitmapTextureCoordinate;
uniform sampler2D vTexture;
uniform sampler2D vBitmapTexture;

void main()
{
    mediump vec4 textureColor = texture2D(vTexture, textureCoordinate);
    mediump vec4 textureColor2 = texture2D(vBitmapTexture, bitmapTextureCoordinate);
    mediump vec4 whiteColor = vec4(1.0);
    gl_FragColor = whiteColor - ((whiteColor - textureColor2) * (whiteColor - textureColor));
}